# Generated by rust2rpm 21
%bcond_without check

%global crate rusty-fork

Name:           rust-%{crate}
Version:        0.3.0
Release:        %mkrel 3
Summary:        Cross-platform library for running Rust tests in sub-processes using a fork-like interface
Group:          Development/Other

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/rusty-fork
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
BuildArch:      noarch

BuildRequires:  rust-packaging >= 21
BuildRequires:  crate(fnv/default) >= 1.0.0
BuildRequires:  crate(tempfile/default) >= 3.0.0
BuildRequires:  crate(wait-timeout/default) >= 0.2.0
BuildRequires:  rust-quick-error1+default-devel

%global _description %{expand:
Cross-platform library for running Rust tests in sub-processes using a fork-
like interface.}

%description %{_description}

%package        devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch
Requires:       rust-quick-error1-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+timeout-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+timeout-devel %{_description}

This package contains library source intended for building other packages which
use the "timeout" feature of the "%{crate}" crate.

%files       -n %{name}+timeout-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wait-timeout-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+wait-timeout-devel %{_description}

This package contains library source intended for building other packages which
use the "wait-timeout" feature of the "%{crate}" crate.

%files       -n %{name}+wait-timeout-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.3.0-3.mga9
+ Revision: 1821681
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 guillomovitch <guillomovitch> 0.3.0-2.mga9
+ Revision: 1786749
- workaround maximum version dependencies issues using explicit dependencies on actual packages

* Sat Feb 26 2022 guillomovitch <guillomovitch> 0.3.0-1.mga9
+ Revision: 1785446
- imported package rust-rusty-fork


* Thu Feb 24 2022 Guillaume Rousse <guillomovitch@gmail.com> - 0.3.0-1
- Initial package
